> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get chats



## OpenAPI

````yaml /api-reference/openapi-v2.json get /{channelId}/chats
openapi: 3.1.0
info:
  title: Heyy API
  version: 2.0.0
servers:
  - url: https://api.heyy.io/v2
security:
  - bearerAuth: []
paths:
  /{channelId}/chats:
    get:
      summary: Get chats
      parameters:
        - name: channelId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        channelId:
                          type: string
                        contactId:
                          type: string
                        handleId:
                          type: string
                        status:
                          type: string
                        isUnread:
                          type: boolean
                        assignedUserId:
                          type: string
                        assignedTeamId:
                          type: string
                        lastMessageAt:
                          type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - id
                        - channelId
                        - contactId
                        - status
                        - isUnread
                        - createdAt
                        - updatedAt
                required:
                  - success
                  - data
                additionalProperties: false
              example:
                success: true
                data: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````